Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.chat
Class ChatAgentGUI

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JRootPane
                      madkit.chat.ChatAgentGUI

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

    public class ChatAgentGUI

extends javax.swing.JRootPane

Titre : Chat Agent for MadKit Description : The main piece of the graphic user interface. Copyright : Copyright (c) 2002

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JRootPane
`javax.swing.JRootPane.AccessibleJRootPane, javax.swing.JRootPane.RootLayout`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected javax.swing.JTextArea` | `inputArea`
`protected java.io.PrintWriter` | `nick`
`protected java.io.PrintWriter` | `out`

Fields inherited from class javax.swing.JRootPane
`COLOR_CHOOSER_DIALOG, defaultButton, defaultPressAction, defaultReleaseAction, ERROR_DIALOG, FILE_CHOOSER_DIALOG, FRAME, glassPane, INFORMATION_DIALOG, layeredPane, menuBar, NONE, PLAIN_DIALOG, QUESTION_DIALOG, WARNING_DIALOG`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ChatAgentGUI(ChatAgent _ag)` Construire le cadre

Method Summary
`void` | `addChatterName(java.lang.String s)`
`void` | `addNewChatPanel(java.lang.String panelName)`
`void` | `addNicknameButton()`
`void` | `allowChatterRight()` Set the button for an normal chatter
`void` | `allowEverything()` Allow the user to use everything, chatter is an Admin
`void` | `allowOnlyNickname()` Allow the user, only to set is nickname
`void` | `bBan_actionPerformed(java.awt.event.ActionEvent e)`
`void` | `bJoin_actionPerformed(java.awt.event.ActionEvent e)`
`void` | `bKick_actionPerformed(java.awt.event.ActionEvent e)`
`void` | `bList_actionPerformed(java.awt.event.ActionEvent e)`
`void` | `bNames_actionPerformed(java.awt.event.ActionEvent e)`
`void` | `bNick_actionPerformed()`
`void` | `bNickname_actionPerformed()`
`void` | `bQuery_actionPerformed(java.awt.event.ActionEvent e)`
`void` | `bRetire_actionPerformed()`
`void` | `bTopic_actionPerformed(java.awt.event.ActionEvent e)`
`java.io.PrintWriter` | `givePrintWriterLinkedWithTabbedPane(java.lang.String paneName)`
`boolean` | `isExistChatPanel(java.lang.String n)`
`void` | `jMenuFileExit_actionPerformed(java.awt.event.ActionEvent e)` Opération Fichier | Quitter effectuée
`void` | `jMenuHelpAbout_actionPerformed(java.awt.event.ActionEvent e)` Opération Aide | A propos effectuée
`void` | `println(java.lang.String s)`
`void` | `printlnOnChannel(java.lang.String chName, java.lang.String msg)`
`void` | `printNickList(java.io.PrintWriter nw, java.lang.String ch, javax.swing.JTextArea ta)`
`void` | `printNickln(java.lang.String s)`
`protected void` | `processWindowEvent(java.awt.event.WindowEvent e)` Remplacé, ainsi nous pouvons sortir quand la fenêtre est fermée
`void` | `removeChatPanel(java.lang.String n)`
`void` | `removeChatPanelViewOnly(java.lang.String n)`
`void` | `resetNamesArea()`
`void` | `sendChattersNameList()`
`void` | `specifButton(javax.swing.JButton buttonName, java.lang.String txt, char mnemo, java.lang.String toolTip, int borderType, boolean enable)` specify the buttons settings
`java.io.PrintWriter` | `stdnick()`
`java.io.PrintWriter` | `stdout()`
`void` | `tWriteArea_actionPerformed(java.awt.event.ActionEvent e)`
`void` | `tWriteArea_actionPerformed(java.awt.event.ActionEvent e, java.io.PrintWriter pw, java.lang.String chName, java.io.PrintWriter nw, javax.swing.JTextArea ta)`

Methods inherited from class javax.swing.JRootPane
`addImpl, addNotify, createContentPane, createGlassPane, createLayeredPane, createRootLayout, getAccessibleContext, getContentPane, getDefaultButton, getGlassPane, getJMenuBar, getLayeredPane, getMenuBar, getUI, getUIClassID, getWindowDecorationStyle, isOptimizedDrawingEnabled, isValidateRoot, paramString, removeNotify, setContentPane, setDefaultButton, setGlassPane, setJMenuBar, setLayeredPane, setMenuBar, setUI, setWindowDecorationStyle, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isPaintingTile, isRequestFocusEnabled, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### out

    protected java.io.PrintWriter out

### nick

    protected java.io.PrintWriter nick

### inputArea

    protected javax.swing.JTextArea inputArea

Constructor Detail

### ChatAgentGUI

    public ChatAgentGUI(ChatAgent _ag)

  Construire le cadre

Method Detail

### stdout

    public java.io.PrintWriter stdout()

### stdnick

    public java.io.PrintWriter stdnick()

### println

    public void println(java.lang.String s)

### printlnOnChannel

    public void printlnOnChannel(java.lang.String chName,
                                 java.lang.String msg)

### printNickln

    public void printNickln(java.lang.String s)

### addNewChatPanel

    public void addNewChatPanel(java.lang.String panelName)

### removeChatPanel

    public void removeChatPanel(java.lang.String n)

### removeChatPanelViewOnly

    public void removeChatPanelViewOnly(java.lang.String n)

### isExistChatPanel

    public boolean isExistChatPanel(java.lang.String n)

### givePrintWriterLinkedWithTabbedPane

    public java.io.PrintWriter givePrintWriterLinkedWithTabbedPane(java.lang.String paneName)

### addNicknameButton

    public void addNicknameButton()

### specifButton

    public void specifButton(javax.swing.JButton buttonName,
                             java.lang.String txt,
                             char mnemo,
                             java.lang.String toolTip,
                             int borderType,
                             boolean enable)

  specify the buttons settings

### allowOnlyNickname

    public void allowOnlyNickname()

  Allow the user, only to set is nickname

### allowChatterRight

    public void allowChatterRight()

  Set the button for an normal chatter

### allowEverything

    public void allowEverything()

  Allow the user to use everything, chatter is an Admin

### jMenuFileExit_actionPerformed

    public void jMenuFileExit_actionPerformed(java.awt.event.ActionEvent e)

  Opération Fichier | Quitter effectuée

### jMenuHelpAbout_actionPerformed

    public void jMenuHelpAbout_actionPerformed(java.awt.event.ActionEvent e)

  Opération Aide | A propos effectuée

### bJoin_actionPerformed

    public void bJoin_actionPerformed(java.awt.event.ActionEvent e)

### bQuery_actionPerformed

    public void bQuery_actionPerformed(java.awt.event.ActionEvent e)

### bKick_actionPerformed

    public void bKick_actionPerformed(java.awt.event.ActionEvent e)

### bBan_actionPerformed

    public void bBan_actionPerformed(java.awt.event.ActionEvent e)

### bTopic_actionPerformed

    public void bTopic_actionPerformed(java.awt.event.ActionEvent e)

### bList_actionPerformed

    public void bList_actionPerformed(java.awt.event.ActionEvent e)

### bNames_actionPerformed

    public void bNames_actionPerformed(java.awt.event.ActionEvent e)

### bNick_actionPerformed

    public void bNick_actionPerformed()

### bRetire_actionPerformed

    public void bRetire_actionPerformed()

### bNickname_actionPerformed

    public void bNickname_actionPerformed()

### tWriteArea_actionPerformed

    public void tWriteArea_actionPerformed(java.awt.event.ActionEvent e)

### tWriteArea_actionPerformed

    public void tWriteArea_actionPerformed(java.awt.event.ActionEvent e,
                                           java.io.PrintWriter pw,
                                           java.lang.String chName,
                                           java.io.PrintWriter nw,
                                           javax.swing.JTextArea ta)

### printNickList

    public void printNickList(java.io.PrintWriter nw,
                              java.lang.String ch,
                              javax.swing.JTextArea ta)

### processWindowEvent

    protected void processWindowEvent(java.awt.event.WindowEvent e)

  Remplacé, ainsi nous pouvons sortir quand la fenêtre est fermée

### addChatterName

    public void addChatterName(java.lang.String s)

### resetNamesArea

    public void resetNamesArea()

### sendChattersNameList

    public void sendChattersNameList()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.